* {
  box-sizing: border-box;
}

@media print {
  @page {
    /* size: landscape; */
    margin: 0.3in;
    padding: 0;
  }

  html,
  body {
    /* height: 99%; */
    zoom: 1.05;
    break-after: avoid;
    break-before: avoid;
  }

  nav {
    display: none;
  }
}

@media screen {
  body {
    background: #eee;
  }

  #Data {
    margin: auto;
    background: white;
    display: inline-block;
    box-shadow: 5px 5px 15px 5px #000000;
    padding: 1em;
    border-radius: 5px;
  }
}

th {
  background: #def;
}

th[colspan],
th:nth-child(3),
td:nth-child(3) {
  border-left: 1px solid black;
}

.periodic {
  font-family: sans-serif;
  font-weight: 200;
  font-size: 7pt;
  text-transform: capitalize;
}

thead.heading th {
  background: yellow;
  border-top: 1px solid black;
}

thead.heading tr > :empty {
  visibility: hidden;
}

thead.parms th {
  border-top: 1px solid black;
  border-bottom: 1px solid black;
  text-align: center;
}

thead.heading:has(th:not(:empty)) {
  display: table-header-group;
}

thead.parms td {
  border-bottom: 1px solid black !important;
}

zthead.parms th:empty {
  background: transparent;
  border: none;
  border-left: 1px solid black;
}

td:nth-child(n + 3) {
  text-align: right;
}

table,
thead td:nth-child(1) {
  border: none;
}

small {
  font: 8pt Arial;
}

thead.client * {
  border: none;
}

tbody td:nth-child(1),
thead:not(.client) th:nth-child(1) {
  border-left: 1px solid black;
}

tbody td:nth-last-child(1),
thead:not(.client) th:nth-last-child(1) {
  border-right: 1px solid black;
}

#T tbody tr:nth-last-child(1) td {
  border-bottom: 1px solid black;
}

td#Client, td#Contact {
  line-height: 1.1rem;
  height: 8rem;
}

.right {
  /* position: absolute; */
  right: 1rem;
  white-space: nowrap;
  text-align: right;
  overflow: hidden;
}

thead.client tr td {
  vertical-align: top;
}

thead.client td:nth-child(1) {
  max-width: 1px;
  white-space: nowrap;
}

thead.client td {
  width: 33%;
}

tr > * {
  padding: 0.2em 0.4em;
}

nav {
  background: #333;
  color: white;
  padding: 0.5em;
  font-weight: bold;
}

.selected {
  background: #cfc;
}

#Options {
  display: none;
}

#Options button {
  margin-left: 1em;
}

#ParameterFootnotes ol {
  padding-left: 1em;
}

#ParameterFootnotes li {
  margin-bottom: 0.5em;
  width: 1px;
  overflow: visible;
  white-space: nowrap;
}

thead.parms sup {
  font-weight: normal;
}

body.noranges .range {
  display: none;
}

tr.range > * {
  text-align: center;
  font-size: 85%;
  font-weight: normal;
  background: #eee;
}

tr.range:first-of-type > *,
tr:not(.range) + tr.range > * {
  border-top: 1px solid black;
}

tr.range + tr:not(.range) > * {
  border-top: 1px solid #ddd;
}


tr.range th:last-child {
  border-right: 1px solid black;
}

/* .hidden {
  zdisplay: none;
} */

.high {
  background: yellow;
}

.low {
  background: #cef;
}

.medium {
  background: #dfd;
}

thead.parms {
  display: table-header-group;
}

thead.parms th {
  vertical-align: bottom;
}

sub {
  vertical-align: baseline;
  font-size: 70%;
}

td {
  white-space: nowrap;
}

#Logo {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

#Data {
  position: relative;
  opacity: 0;
}

.borderRight {
  border-right: 1px solid black;
}

.error {
  color: red;
  background: yellow;
}

#Data > table {
  clear: both;
}

#Total {
  position: fixed;
  top: 1px;
  right: 2px;
  background: yellow;
  color: black;
  padding: 0.5em;
  outline: 1px solid black;
}

input:focus {
  background: yellow;
}

#Labs {
  width: 30em;
}

#Footnotes {
  margin-top: 1em;
  width: 9in !important;
  max-width: 9in;
  white-space: normal;
  font-size: 9pt;
}

#Footnotes li,
#Comments li {
  white-space: normal;
  width: 100%;
}

tbody.data td {
  vertical-align: top;
}

tbody.data td:nth-child(1) {  /* Lab */
  max-width: 4em;
}

tbody.data td:nth-child(2) {  /* Sample */
  max-width: 10em;
  white-space: wrap;
}

hr {
  height: 1px;
  background: black;
}

div#Status {
  display: none;
  position: fixed;
  background: lightyellow;
  width: 30rem;
  height: calc(100vh - 2rem);
  right: 0;
  top: 2rem;
}

#Close {
  position: absolute;
  top: 5px;
  right: 5px;
}

.nowrap {
  white-space: nowrap;
}

th.type {
  display: none;
  text-align: left;
  background: #fed;
  border: 1px solid black !important;
  font-size: 9pt;
}

section {
  break-inside: avoid;
}

#Comments {
  white-space: normal;
  font-size: 10pt;
}

#Data > *, #Data > * > *, #Data > * > * > * {
  border: none !important;
  padding: 0;
}

[id^="Client"] {
  text-align: left;
}

[id^="Contact"] {
  text-align: right;
}

tr.client * {
  border: none !important;
  padding: 0;
}

tbody.footnotes * {
  border: none !important;
}
